Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Slot0< R > Class Template Reference

Base class template for slots passing no arguments and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::Slot0< R >:

List of all members.

## Public Member Functions

- virtual R call () const=0
    Calls the signal handler connected to this slot.
- R operator() () const
    Function operator; Calls call().

## Protected Member Functions

- Slot0 ()
    Constructor.

## Detailed Description

### template<typename R>
class Inti::Slot0< R >

Base class template for slots passing no arguments and returning a value of type R.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer